﻿@using Xtoman.Domain.WebServices.TradingPlatform.Kraken
@model KrakenViewModel
@{
    ViewBag.Title = "کرکن";
}

<div class="box box-info">
    <div class="box-header with-border">
        @if (Model.Balance != null && Model.Balance.ResultType == KrakenGeneralResultType.success && Model.Balance.Result.Count > 0)
        {
            <h4 class="box-title">موجودی کرکن</h4>
            <div class="list-warning">
                <ul class="list-inline">
                    @foreach (var item in Model.Balance.Result)
                    {
                        <li class="list-inline-item">
                            <strong>@item.Value</strong> @Model.Assets.Result.Where(p => p.Key == item.Key).Select(p => p.Value.AltName).FirstOrDefault()
                        </li>
                    }
                </ul>
                <hr />
            </div>
        }
        else if (Model.Balance != null && Model.Balance.ResultType == KrakenGeneralResultType.error && Model.Balance.Errors.Count > 0)
        {
            <h4 class="box-title">موجودی کرکن</h4>
            <div class="list-danger">
                <ul class="list-inline">
                    @foreach (var item in Model.Balance.Errors)
                    {
                        <li class="list-inline-item">
                            @item
                        </li>
                    }
                </ul>
                <hr />
            </div>
        }
        @if (Model.TradeBalance != null && Model.TradeBalance.ResultType == KrakenGeneralResultType.success && Model.TradeBalance.Result != null)
        {
            <h4 class="box-title">موجودی دلاری قابل ترید</h4>
            <div class="list-info">
                <ul class="list-inline">
                    <li class="list-inline-item">
                        هزینه ی پایه ی سفارش های باز <strong>@Model.TradeBalance.Result.CostBasis</strong>
                    </li>
                    <li class="list-inline-item">
                        سرمایه <small>(موجودی ترید + هزینه های پیش بینی نشده)</small> <strong>@Model.TradeBalance.Result.Equity</strong>
                    </li>
                    <li class="list-inline-item">
                        معادل دلاری کل موجودی <small>(جمع دلاری تمام کریپتو کارنسی ها)</small> <strong>@Model.TradeBalance.Result.EquivalentBalance</strong>
                    </li>
                    <li class="list-inline-item">
                        ارزش شناور سفارش های باز <strong>@Model.TradeBalance.Result.FloatingValuation</strong>
                    </li>
                    <li class="list-inline-item">
                        بودجه (Margin) آزاد <strong>@Model.TradeBalance.Result.FreeMargin</strong>
                    </li>
                    <li class="list-inline-item">
                        بودجه (Margin) پوزیشن های باز <strong>@Model.TradeBalance.Result.MarginAmount</strong>
                    </li>
                    <li class="list-inline-item">
                        سطح بودجه (Margin)<strong>@Model.TradeBalance.Result.MarginLevel</strong>
                    </li>
                    <li class="list-inline-item">
                        سود/ضرر سفارش های باز <strong>@Model.TradeBalance.Result.UnrealizedProfitAndLoss</strong>
                    </li>
                </ul>
                <hr />
            </div>
        }
        <div id="openOrders"></div>
        <div id="closedOrders"></div>
    </div>
</div>

@section scripts{
    <script type="text/javascript">
        var cancelOrderUrl = "@Url.Action("CancelOrder")";
        var openOrdersUrl = "@Url.Action("OpenOrders")";
        var closedOrdersUrl = "@Url.Action("ClosedOrders")";
        $(document).ready(function () {
            loadAjax(openOrdersUrl, "#openOrders");
            loadAjax(closedOrdersUrl, "#closedOrders");
        });

        function cancelOrder(txid) {
            doAjax({ txid: txid }, cancelOrderUrl, function (data) {
                if (data.Status) {
                    loadAjax(openOrdersUrl, "#openOrders");
                }
                alert(data.Text);
            });
        }
    </script>
}